> For the complete documentation index, see [llms.txt](https://docs.bluefletch.com/bluefletch-enterprise/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bluefletch.com/bluefletch-enterprise/product-guides/device-finder/getting-started.md).

# Getting Started

## Before you begin

1. Request a free trial BFE account by emailing <info@bluefletch.com>.
2. Once you have a BFE account, log into the BFE Portal using your account credentials.
3. Install the following BlueFletch applications required to support Device Finder:
   1. Launcher
   2. Support Agent
   3. Messaging
   4. Device ID (if Android 10+)
4. Follow the steps below to quickly get Device Finder configured on your device via a JSON file.

## About this task

This tutorial describes how to set up and activate BlueFletch Device Finder to manage your devices. The BlueFletch Device Finder installation process consists of several components, including the Device Finder application, configuration files, and other dependencies.

#### In the instructions below, you'll learn how to:

* Setting a Device Finder configuration.
* Activating the beacon service.

### Setting a Device Finder Configuration

To configure the [deviceFinder](/bluefletch-enterprise/product-guides/device-finder/technical-guide.md#configurations) object in the Launcher Configuration JSON file:

1. Open the file and locate or create the `"deviceFinder"` object.
2. Add key-value pairs such as `"pingDeviceEnabled"` and `"mapViewEnabled"` to control features like device pinging and map display.
3. Save the file. Restart the Device Finder application. Once the configuration file has been saved, it is now available to deploy to devices.

### Activating the Beacon Service

To enable this feature:

1. Open the Launcher Configuration file and locate the `"beaconEnabled"` key within the `"deviceFinder"` object.
2. Set the value of `"beaconEnabled"` to `true` to activate the Beacon Service.
3. Restart the Device Finder application. The Beacon Service feature is now available for use.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bluefletch.com/bluefletch-enterprise/product-guides/device-finder/getting-started.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
